/* *****************************************************************************
 * Description: This program takes a command-line argument n, reads in
 * n integers, and prints out their sum.
 *
 * Compilation:  javac-introcs AddInts.java
 * Execution:    java-introcs AddInts n
 *
 * % java-introcs AddInts 4
 * 3 5
 * 2 1
 * Sum is 11
 *
 * https://introcs.cs.princeton.edu/java/15inout/AddInts.java.html
 *
 **************************************************************************** */

public class AddInts {
    // adds int command-line args and prints the sum
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        int sum = 0;
        for (int i = 0; i < n; i++) {
            int value = StdIn.readInt();
            sum = sum + value;
        }
        StdOut.println("Sum is " + sum);
    }
}
