/* *****************************************************************************
 * Name:
 * NetID:
 * Precept:
 *
 * Description: Reads sequence of doubles from stdin, computes their average,
 *              and writes the average to stdout. For example:
 *
 *  % java-intocs Average
 *  10.0 5.0 6.0
 *  3.0 7.0 32.0
 *  <Ctrl-d>
 *  Average is 10.5
 *
 *  Note <Ctrl-d> signifies the end of file on Mac OS and Linux.
 *  On Windows use <Ctrl-z> ENTER.
 * 
 **************************************************************************** */

public class Average {
    public static void main(String[] args) {
        int count = 0;       // number input values
        double sum = 0.0;    // sum of input values

        // read data and compute statistics
        while (!StdIn.isEmpty()) {
            double value = StdIn.readDouble();
            sum += value;
            count++;
        }

        // compute the average
        double average = sum / count;

        // print results
        StdOut.println("Average is " + average);
    }
}
