/* *****************************************************************************
 * Name:
 * NetID:
 * Precept:
 *
 * Description: Reads a sequence of integers from stdin, and writes those values
 *              between lo and hi to stdout. For example:
 * 
 *  % java-introcs RangeFilter lo hi < numbers.txt
 * 
 **************************************************************************** */


public class RangeFilter {
    public static void main(String[] args) {

        // read in two command-line arguments
        int lo = Integer.parseInt(args[0]);
        int hi = Integer.parseInt(args[1]);

        // repeat as long as there's more input to read in
        while (!StdIn.isEmpty()) {

            // read in the next integer
            int value = StdIn.readInt();

            // print out the given integer if it's between lo and hi
            if (value >= lo && value <= hi) {
                StdOut.println(value + " ");
            }
        }
        StdOut.println();
    }
}
