/* ***************************************************************************
 * Description: Draws a geometric tiger using the StdDraw library.
 *
 **************************************************************************** */

// TO DO: The worksheet shows the complete geometric tiger superimposed on a
// a grid.  Use the worksheet to complete the Java implementation.
// Refer to:
//           https://introcs.cs.princeton.edu/java/11cheatsheet/#StdDraw

// CHALLENGE: Make an enhanced  geometric tiger and post on Ed!!!
public class GeometricTiger {
    // single main method, uses StdDraw library to draw a tiger.
    public static void main(String[] args) {

        // Set the size of the canvas
        StdDraw.setXscale(-20, 20);
        StdDraw.setYscale(___, ___);

        // face - using array initializer
        double[] faceX = new double[] { -5, 5, 10, 0, -10 };
        double[] faceY = new double[] { 10, 10, 0, __, __ };
        StdDraw.polygon(faceX, faceY);

        // nose - using array initializer
        double[] noseX = new double[] { -0.5, .5, 1, -1};
        double[] noseY = new double[] { 4, _______};
        StdDraw.filledPolygon(____, ____);

        // mouth - make the lines thicker
        StdDraw.setPenRadius(.012);
        StdDraw.line(0, -2, 2, __);
        StdDraw.line(0, -2, __, __);
        StdDraw.setPenRadius(.002);

        // whiskers
        StdDraw.line(.5, -1.5, 4, -1);
        StdDraw.line(.5, -1.7, 4.5, -1.2);
        StdDraw.line(.5, -1.8, 4.25, -1.8);
        StdDraw.line(-.5, -1.5, -4, -1);
        StdDraw.line(-.5, -1.7, -4.5, -1.2);
        StdDraw.line(-.5, -1.8, -4.25, -1.8);

        // ears - setting value for each array element
        double[] earX = new double[3];
        double[] earY = new double[__];
        // right ear
        earX[0] = 5;
        earX[1] = 10;
        earX[2] = 10;
        earY[0] = 10;
        earY[1] = ___;
        earY[2] = ___;
        StdDraw.polygon(earX, earY);
        
        // left ear
        earX = new double[]{-5, -10, ___};
        StdDraw.polygon(___, ___);

        // eyes
        StdDraw.filledCircle(3, 6, 1);
        StdDraw.filledCircle(-3, 6,__);

        // eyebrow whiskers
        StdDraw.line(-3.3, 7.2, -5, 7.5);
        StdDraw.line(-3.1, 7.4, -4.7, 8.0);
        StdDraw.line(3.3, 7.2, 5, 7.5);
        StdDraw.line(3.1, 7.4, 4.7, 8.0);

    }
}
