/* *****************************************************************************
 * Description: Reads the integer n from standard input, then reads
 * a list of n student records, where each record consists of four
 * fields, separated by whitespace:
 *     - first name
 *     - last name
 *     - email address
 *     - which section they're in
 * Then, prints a list of first name, last name, and email address of students in
 * section 4 (using println) and 5 (using printf).
 *
 * Compilation:  javac-introcs Students.java
 * Execution:    java-introcs Students < students.txt
 *
 * The data file, students.txt, looks like this:
 * 130
 * Sarah Wang twang 7
 * Austin Taylor actaylor 1
 * David Rosner drosner 4
 * Rebecca Allen rebeccaa 7
 * Rajiv Ayyangar ayyangar 7
 * Daniel Barrett drbarret 8
 * Nic Byrd nbyrd 7
 * Emily Capra ecapra 8
 * Johnny Clore jclore 7
 * ...
 *
 *
 * Your output should look like this:
 * % Section 4
 * ---------
 * David Rosner drosner
 * Jon Charlesworth jcharles
 * Jeffrey Hill jph 4
 * ...
 *
 * Section 5
 * ---------
 * Giwan Kim giwank
 * Adelina Grozdanova agrozdan
 * Anna Huang ajh
 * ...                            (Based on Booksite Exercise 1.5.31)
 **************************************************************************** */

public class Students {
    // demonstrate parallel arrays
    public static void main(String[] args) {

        // read the number of students from standard input
        int n = ______________________________

        // declare and initialize four parallel arrays
        String[] first = new String[n];
        ________ last = ____________________
        String[] _______ = ____________________
        int[] section = ____________________

        // read the data from standard input
        for (_______________; ____________________; __________) {
            first[___] = StdIn.readString();
            last[___] = _________________________
            email[___] = _________________________
            section[___] = _________________________
        }

        // print first names, last names, and email addresses of all students in section 4
        // using printly
        StdOut.println("Section 4");
        StdOut.println("---------");
        for (int i = 0; i < n; i++) {
            if (_____) {
                StdOut.println(_____________);
            }
        }
        StdOut.println();

        // print first names, last names, and email addresses of all students in section 5
        // using printf
        StdOut.println("Section 5");
        StdOut.println("---------");
        for (int i = 0; i < n; i++) {
            if (_____) {
                // hint: don't forget the newline character \n !
                StdOut.printf(_____, _____, _____, _____);
            }
        }
        System.out.println();
    }
}
